﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartStepSeriesCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel VM = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = VM;
        }

        private void XamDataChart_Loaded(object sender, RoutedEventArgs e)
        {
            XAxis.MinimumValue = new DateTime(2015, 7, 31, 11, 30, 0);
            XAxis.MaximumValue = new DateTime(2015, 7, 31, 13, 0, 0);
        }

        private void AddSeriesBtn_Click(object sender, RoutedEventArgs e)
        {
            StepAreaSeries sas = new StepAreaSeries();

            sas.Title = "Series Title";
            sas.XAxis = XAxis;
            sas.YAxis = YAxis;
            sas.ItemsSource = VM.Data;
            sas.ValueMemberPath = "Value";
            sas.Thickness = 1;
            sas.MarkerType = MarkerType.None;
            
            DataChart1.Series.Add(sas);

           

        }
    }
}
